pages:
  image: node:alpine
  stage: deploy
  script:
    - npm install --progress=false
    - npm run build
    - rm -rf public
    - mkdir public
    - cp -r dist/* public
  artifacts:
    expire_in: 1 day
    paths:
      - public
  only:
    - master
